package fibo;

import java.io.*;
import jakarta.servlet.*;
import jakarta.servlet.http.*;

public class FiboServlet extends HttpServlet {

    protected void doProcess(HttpServletRequest request,
            HttpServletResponse response) throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        HttpSession session;
        RequestDispatcher dispatcher;
        String url;
        String fi = request.getParameter("fibon");
        String wiadFibo = VerifyFibo.isFibo(fi);
        if (wiadFibo.length() > 0) {
            url = "/index.jsp";
            session = request.getSession();
            session.setAttribute("wiadFibo", wiadFibo);
            dispatcher = getServletContext().getRequestDispatcher(url);
            dispatcher.forward(request, response);
            session.invalidate();
        } else {
            session = request.getSession();
            session.setAttribute("fibon", fi);
            session.setAttribute("fibofull", FiboUtil.fibonacci(Long.parseLong(fi)));
            url = "/wynikfibo.jsp";
            dispatcher = getServletContext().getRequestDispatcher(url);
            dispatcher.forward(request, response);
        }
    }

    @Override
    protected void doGet(HttpServletRequest request,
            HttpServletResponse response) throws ServletException, IOException {
        doProcess(request, response);
    }

    @Override
    protected void doPost(HttpServletRequest request,
            HttpServletResponse response) throws ServletException, IOException {
        doProcess(request, response);
    }
}
